- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractServiceProvider
- Qt 5.5.1 Reference Documentation

# QAbstractServiceProvider Class

(Qt3D::QAbstractServiceProvider)

Header: | #include <QAbstractServiceProvider>
qmake: | QT += 3dcore
Inherited By: | Qt3D::QAbstractFrameAdvanceService, Qt3D::QOpenGLInformationService, and Qt3D::QSystemInformationService

- List of all members, including inherited members

## Public Functions

virtual | ~QAbstractServiceProvider()
QString | description() const
int | type() const

## Protected Functions

| QAbstractServiceProvider(int type, const QString & description)

## Detailed Description

## Member Function Documentation

### `[protected]` QAbstractServiceProvider::QAbstractServiceProvider(int type, const QString & description)

### `[virtual]` QAbstractServiceProvider::~QAbstractServiceProvider()

### QString QAbstractServiceProvider::description() const

### int QAbstractServiceProvider::type() const